Bug 24905 - log4perl-site.conf.in missing entries for the z39.50 server
Summary: log4perl-site.conf.in missing entries for the z39.50 server
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 13937
Blocks: 15253 18227 25510 25524
  Show dependency treegraph
 
Reported: 2020-03-19 12:32 UTC by Tomás Cohen Arazi
Modified: 2020-05-18 06:59 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24905: Add missing entry in log4perl-site.conf.in (1.11 KB, patch)
2020-03-19 14:05 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24905: Make installer update log4perl.conf for instances (2.72 KB, patch)
2020-03-19 14:05 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24905: Make installer update log4perl.conf for instances (2.73 KB, patch)
2020-03-19 14:24 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24905: Add missing entry in log4perl-site.conf.in (1.17 KB, patch)
2020-03-26 16:28 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24905: Make installer update log4perl.conf for instances (2.79 KB, patch)
2020-03-26 16:28 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-03-19 12:32:30 UTC
Bug 13937 introduced new log4perl.conf changes, but missed to tweak the packages' log4perl.conf.in template.
Comment 1 Tomás Cohen Arazi 2020-03-19 14:05:20 UTC
Created attachment 101017 [details] [review]
Bug 24905: Add missing entry in log4perl-site.conf.in

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2020-03-19 14:05:24 UTC
Created attachment 101018 [details] [review]
Bug 24905: Make installer update log4perl.conf for instances

This patch makes koha-common.postinst check if the log4perl.conf files
on the instances need tweaking. If they do, it appends the relevant
configuration text.

To test:
1. Install Koha 19.11 or earlier using the packages
2. Create an instance:
   $ koha-create --create-db test1
   $ koha-create --create-db test2
=> FAIL: /etc/koha/sites/test1/log4perl.conf doesn't include an entry for
z39.50
3. Apply this patch and run:
   $ docker run \
      --volume=/path/to/your/clone:/koha \
      --volume=/dest/path/for/debs:/debs \
      --privileged
      --env VERSION=19.12.00.047 \
      koha/koha-dpkg:master
Note: Paths need to be adjusted
4. Grab the .deb files and put them on the machine you're testing this
5. Edit /etc/koha/sites/test2/log4perl.conf and add the following text
   at the bottom: log4perl.logger.z3950
6. Install the debs:
   $ sudo dpkg -i koha-perldeps koha-deps koha-common
=> SUCCESS: Install process doesn't explode due to the addition
=> SUCCESS: /etc/koha/sites/test1/log4perl.conf has a new entry for log4perl.logger.z3950
=> SUCCESS: /etc/koha/sites/test2/log4perl.conf doesn't have a new entry for log4perl.logger.z3950
7. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Tomás Cohen Arazi 2020-03-19 14:24:30 UTC
Created attachment 101020 [details] [review]
Bug 24905: Make installer update log4perl.conf for instances

This patch makes koha-common.postinst check if the log4perl.conf files
on the instances need tweaking. If they do, it appends the relevant
configuration text.

To test:
1. Install Koha 19.11 or earlier using the packages
2. Create an instance:
   $ koha-create --create-db test1
   $ koha-create --create-db test2
=> FAIL: /etc/koha/sites/test1/log4perl.conf doesn't include an entry for
z39.50
3. Apply this patch and run:
   $ docker run \
      --volume=/path/to/your/clone:/koha \
      --volume=/dest/path/for/debs:/debs \
      --privileged
      --env VERSION=19.12.00.047 \
      koha/koha-dpkg:master
Note: Paths need to be adjusted
4. Grab the .deb files and put them on the machine you're testing this
5. Edit /etc/koha/sites/test2/log4perl.conf and add the following text
   at the bottom: log4perl.logger.z3950
6. Install the debs:
   $ sudo dpkg -i koha-perldeps koha-deps koha-common
=> SUCCESS: Install process doesn't explode due to the addition
=> SUCCESS: /etc/koha/sites/test1/log4perl.conf has a new entry for log4perl.logger.z3950
=> SUCCESS: /etc/koha/sites/test2/log4perl.conf doesn't have a new entry for log4perl.logger.z3950
7. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Martin Renvoize 2020-03-26 16:28:16 UTC
Created attachment 101893 [details] [review]
Bug 24905: Add missing entry in log4perl-site.conf.in

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-03-26 16:28:19 UTC
Created attachment 101894 [details] [review]
Bug 24905: Make installer update log4perl.conf for instances

This patch makes koha-common.postinst check if the log4perl.conf files
on the instances need tweaking. If they do, it appends the relevant
configuration text.

To test:
1. Install Koha 19.11 or earlier using the packages
2. Create an instance:
   $ koha-create --create-db test1
   $ koha-create --create-db test2
=> FAIL: /etc/koha/sites/test1/log4perl.conf doesn't include an entry for
z39.50
3. Apply this patch and run:
   $ docker run \
      --volume=/path/to/your/clone:/koha \
      --volume=/dest/path/for/debs:/debs \
      --privileged
      --env VERSION=19.12.00.047 \
      koha/koha-dpkg:master
Note: Paths need to be adjusted
4. Grab the .deb files and put them on the machine you're testing this
5. Edit /etc/koha/sites/test2/log4perl.conf and add the following text
   at the bottom: log4perl.logger.z3950
6. Install the debs:
   $ sudo dpkg -i koha-perldeps koha-deps koha-common
=> SUCCESS: Install process doesn't explode due to the addition
=> SUCCESS: /etc/koha/sites/test1/log4perl.conf has a new entry for log4perl.logger.z3950
=> SUCCESS: /etc/koha/sites/test2/log4perl.conf doesn't have a new entry for log4perl.logger.z3950
7. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-03-26 16:29:12 UTC
Works well in testing.. clear code.. going for a straight QA on this one.
Comment 7 Martin Renvoize 2020-03-27 08:38:38 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Tomás Cohen Arazi 2020-04-01 03:24:21 UTC Comment hidden (obsolete)
Comment 9 Tomás Cohen Arazi 2020-04-01 03:25:12 UTC
Joy, if you would pick this one for 19.11.x, please wait until bug 18227 can be pushed along with this one. Together, not separate :-D
Comment 10 Joy Nelson 2020-04-03 22:53:07 UTC
backported to 19.11.x for 19.11.05
Comment 11 Lucas Gass 2020-04-13 20:43:50 UTC
missing dependencies for 19.05.x, no backport
Comment 12 David Cook 2020-05-15 05:14:53 UTC
I think that there's actually a typo in this that is causing minor errors. Going to investigate more fully...
Comment 13 David Cook 2020-05-18 06:53:56 UTC
(In reply to Martin Renvoize from comment #6)
> Works well in testing.. clear code.. going for a straight QA on this one.

I'm so intrigued by this because I don't see how that code in debian/koha-common.postinst could have ever worked correctly :S.